> ## Documentation Index
> Fetch the complete documentation index at: https://docs.leen.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List ITSM Tickets



## OpenAPI

````yaml get /itsm/tickets
openapi: 3.1.0
info:
  title: Leen Security API
  version: 0.0.1
servers:
  - url: https://api.leen.dev/v1
    description: Production API
  - url: https://api.eu-c1.leen.dev/v1
    description: Production API (EU Region)
  - url: https://api.ap-se2.leen.dev/v1
    description: Production Api (APAC Region)
security: []
paths:
  /itsm/tickets:
    get:
      tags:
        - ITSM
        - Tickets
      summary: List ITSM Tickets
      operationId: get_tickets
      parameters:
        - name: statusUpdatedSince
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            description: Filter tickets updated since a specific time
            title: Statusupdatedsince
          description: Filter tickets updated since a specific time
        - name: projectId
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            description: Filter tickets by project ID
            title: Projectid
          description: Filter tickets by project ID
        - name: assignedUserId
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            description: Filter tickets by assigned user ID
            title: Assigneduserid
          description: Filter tickets by assigned user ID
        - name: createdByUserId
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            description: Filter tickets by created by user ID
            title: Createdbyuserid
          description: Filter tickets by created by user ID
        - name: priority
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Filter tickets by priority
            title: Priority
          description: Filter tickets by priority
        - name: status
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Filter tickets by status
            title: Status
          description: Filter tickets by status
        - name: type
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Filter tickets by type
            title: Type
          description: Filter tickets by type
        - name: active
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            description: Filter active tickets
            title: Active
          description: Filter active tickets
        - name: identifier
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Filter tickets by identifier (exact match)
            title: Identifier
          description: Filter tickets by identifier (exact match)
        - name: tags
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              Filter tickets by tags (comma-separated, AND match — tickets must
              contain all specified tags)
            title: Tags
          description: >-
            Filter tickets by tags (comma-separated, AND match — tickets must
            contain all specified tags)
        - name: jiraStandardIssueTypes
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            description: >-
              Filter to JIRA standard (non-subtask) issue types only. JIRA
              connections only.
            title: Jirastandardissuetypes
          description: >-
            Filter to JIRA standard (non-subtask) issue types only. JIRA
            connections only.
        - name: excludeType
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              Exclude tickets of these types (comma-separated, e.g.,
              'Epic,Sub-task')
            title: Excludetype
          description: >-
            Exclude tickets of these types (comma-separated, e.g.,
            'Epic,Sub-task')
        - name: sort
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              Sort field and direction (e.g., 'created_at:desc',
              'updated_at:asc'). Supported: updated_at, status_updated_at,
              ticket_created_at (or created_at as alias)
            title: Sort
          description: >-
            Sort field and direction (e.g., 'created_at:desc',
            'updated_at:asc'). Supported: updated_at, status_updated_at,
            ticket_created_at (or created_at as alias)
        - name: updatedSince
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            description: >-
              Datetime filter, only return items updated since this datetime.
              Example format: `2021-01-01T00:00:00+00:00`
            examples:
              - '2021-01-01T00:00:00+00:00'
            title: Updatedsince
          description: >-
            Datetime filter, only return items updated since this datetime.
            Example format: `2021-01-01T00:00:00+00:00`
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Skip token to continue from the last item in the previous page
            title: Cursor
          description: Skip token to continue from the last item in the previous page
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            description: Limit size (page size)
            default: 100
            title: Limit
          description: Limit size (page size)
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/KeySetPaginatedResponse_ScopedITSMTicketRespModel_
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Entity
      security:
        - Connection-ID: []
          API-Key: []
components:
  schemas:
    KeySetPaginatedResponse_ScopedITSMTicketRespModel_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/ScopedITSMTicketRespModel'
          type: array
          title: Items
          description: List of items returned in the response
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Cursor
          description: Skip token to continue from the last item in the previous page
        previous_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Previous Cursor
          description: Skip token to continue from the first item in the previous page
      type: object
      required:
        - items
      title: KeySetPaginatedResponse[ScopedITSMTicketRespModel]
    ErrorResponse:
      properties:
        type:
          type: string
          title: Type
          description: Type of error
        code:
          type: string
          title: Code
          description: Error code
        message:
          type: string
          title: Message
          description: Error message
        detail:
          items:
            type: object
          type: array
          title: Detail
          description: List of error dictionaries
      type: object
      required:
        - type
        - code
        - message
        - detail
      title: ErrorResponse
    ScopedITSMTicketRespModel:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: Leen's UUID for the Ticket
        active:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Active
          description: Whether the Ticket is active
        type:
          anyOf:
            - type: string
            - type: 'null'
          title: Type
          description: Type of the Ticket (e.g., Epic, Story, Task, Bug)
        type_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Type Id
          description: Vendor-specific type ID (e.g., Jira issue type ID)
        parent_ticket_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Parent Ticket Id
          description: Parent Ticket ID (for sub-tasks)
        name:
          type: string
          title: Name
          description: Name of the Ticket
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: Description of the Ticket
        ticket_created_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Ticket Created At
          description: Creation time of the Ticket in the vendor system
        due_date:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Due Date
          description: Due date of the Ticket
        closed_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Closed At
          description: Closing time of the Ticket
        assigned_user_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Assigned User Id
          description: User ID assigned to the Ticket
        created_by_user_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Created By User Id
          description: User ID who created the Ticket
        status:
          type: string
          title: Status
          description: Status of the Ticket
        status_updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Status Updated At
          description: Last status update time
        project_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Project Id
          description: Project ID the Ticket belongs to
        tags:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Tags
          description: Tags associated with the Ticket
        priority:
          anyOf:
            - type: string
            - type: 'null'
          title: Priority
          description: Priority of the Ticket
        url:
          anyOf:
            - type: string
            - type: 'null'
          title: Url
          description: URL of the Ticket
        identifier:
          anyOf:
            - type: string
            - type: 'null'
          title: Identifier
          description: User-provided tracking identifier for the Ticket
        vendor_attributes:
          allOf:
            - $ref: '#/components/schemas/ITSMTicketVendorAttributes'
          description: Vendor-specific attributes of the Ticket
      type: object
      required:
        - id
        - name
        - status
        - vendor_attributes
      title: ITSM Ticket
    ITSMTicketVendorAttributes:
      properties:
        id:
          type: string
          title: Id
          description: Vendor's ID for the Ticket
        vendor:
          type: string
          title: Vendor
          description: Vendor name
        created_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created At
          description: Creation time of the Ticket in Vendor
        updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updated At
          description: Last update time of the Ticket in Vendor
        type:
          anyOf:
            - type: string
            - type: 'null'
          title: Type
          description: Vendor type of the Ticket
        type_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Type Id
          description: Vendor type ID of the Ticket
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
          description: Vendor status of the Ticket
        priority:
          anyOf:
            - type: string
            - type: 'null'
          title: Priority
          description: Vendor priority of the Ticket
        data:
          anyOf:
            - oneOf:
                - $ref: '#/components/schemas/JiraTicketVendorAttributesData'
              discriminator:
                propertyName: vendor
                mapping:
                  JIRA:
                    $ref: '#/components/schemas/JiraTicketVendorAttributesData'
            - type: 'null'
          title: Data
          description: Vendor-specific data associated with the Ticket
      type: object
      required:
        - id
        - vendor
      title: ITSM Ticket Vendor Attributes
    JiraTicketVendorAttributesData:
      properties:
        vendor:
          type: string
          enum:
            - JIRA
          const: JIRA
          title: Vendor
          default: JIRA
        id:
          anyOf:
            - type: string
            - type: 'null'
          title: Id
        statusCategory:
          anyOf:
            - type: string
            - type: 'null'
          title: Statuscategory
        customFields:
          anyOf:
            - type: object
            - type: 'null'
          title: Customfields
      type: object
      title: JiraTicketVendorAttributesData
  securitySchemes:
    Connection-ID:
      type: apiKey
      in: header
      name: X-CONNECTION-ID
    API-Key:
      type: apiKey
      in: header
      name: X-API-KEY

````